MANPATH(1)

BEZEICHNUNG
manpath - bestimmt den Handbuchseiten-Suchpfad

ÜBERSICHT
manpath [-qgdc?V] [-m System[,...]] [-C Datei]

BESCHREIBUNG
Wenn $MANPATH gesetzt ist, wird manpath nur den Wert anzeigen und eine Warnmeldung ausgeben. Wenn nicht, wird manpath einen geeigneten Handbuchseitenhierarchie-Suchpfad bestimmen und das Ergebnis anzeigen. Der durch Doppelpunkte gegliederte Pfad wird mit Informationen aus der Man-db-Konfigurationsdatei (/etc/man_db.conf) und der Umgebung (Environment) des Benutzers bestimmt.

OPTIONEN

-q, --quiet
    keine Ausgabe von Warnmeldungen

-d, --debug
    Ausgabe von Debug-Informationen

-c, --catpath
    Erzeugt als Entsprechung für einen Manpath (Handbuchseiten-Pfad) einen Pfad für die (vorformatierten) Cat-Seiten. Sobald der Manpath bestimmt ist, werden alle seine Pfad-Bestandteile in entsprechende, relative Cat-Pfade umgewandelt.

-g, --global
    Erzeugt einen Manpath, der aus allen in der Konfigurationsdatei als global bezeichneten Pfaden besteht.

-m system[,...], --systems=System[,...]
    Wenn das System auch auf Handbuchseiten eines anderen Betriebssystems zugreifen kann, können diese Seiten mit dieser Option in die Ausgabe von manpath integriert werden. Um die Handbuch-Hierarchien von NewOS einzubetten, verwenden Sie die Option -m NewOS. Das angegebene System kann eine durch Kommata gegliederte Aufzählung von Betriebssystemnamen sein. Die normalen Seiten werden durch den Betriebssystemnamen man angesprochen. Diese Option überschreibt die Umgebungsvariable $SYSTEM.

-C Datei, --config-file=Datei
    Verwendung dieser benutzerspezifischen Konfigurationsdatei an Stelle der Vorgabe ~/.manpath

-?, --help
    Hilfetext anzeigen und beenden

--usage
    zeigt eine kurze Anwendungszusammenfassung an und beendet das Programm.

-V, --version
    Versionsinformation anzeigen und beenden

UMGEBUNGSVARIABLEN

MANPATH
    Wenn $MANPATH gesetzt ist, zeigt % manpath% den Wert an, statt selbst einen Wert zu bestimmen.. Wenn $MANPATH ein Doppelpunkt vorangestellt ist, wird der Wert der Variablen an die Liste angefügt, welche mit dem Inhalt der Konfigurationsdateien bestimmt wurde. Steht der Doppelpunkt am Ende des Wertes der Variablen, wird die ermittelte Liste an den Wert der Variablen angehängt. Wenn der Wert der Variablen einen doppelten Doppelpunkt (::) enthält, dann wird die Liste zwischen den beiden Doppelpunkten eingefügt.

SYSTEM
    Wenn $SYSTEM gesetzt ist, hat das die gleiche Wirkung wie die Verwendung als Argument für die Option -m.

DATEIEN

/etc/man_db.conf
    Konfigurationsdatei für Man-db

SIEHE AUCH
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).